/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.joininheritance.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.joininheritance.EntityTest;
import org.jboss.test.JBossTestCase;

/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: EntityUnitTestCase.java,v 1.1.6.4 2005/09/14 22:19:10 bill Exp $
 */

public class EntityUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public EntityUnitTestCase(String name)
   {

      super(name);

   }

   public void test1() throws Exception
   {
      EntityTest test = (EntityTest) this.getInitialContext().lookup(EntityTest.class.getName());
      long[] ids = test.createBeans();
      test.test1();
      test.test2();
      test.test3();
      test.test4(ids);
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(EntityUnitTestCase.class, "join-inheritance-test.ejb3");
   }

}
